IsosurfaceRenderer
Date: 2019-10-22

org.jmol.rendersurface

## Class IsosurfaceRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.render.MeshRenderer
    - - org.jmol.rendersurface.IsosurfaceRenderer

- Direct Known Subclasses:
    ContactRenderer, LcaoCartoonRenderer, MolecularOrbitalRenderer, PmeshRenderer

      public class IsosurfaceRenderer
      extends MeshRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected short` | `backgroundColix`
    `private int` | `globalSlabValue`
    `private boolean` | `hasColorRange`
    `protected boolean` | `iHideBackground`
    `protected IsosurfaceMesh` | `imesh`
    `protected boolean` | `isBicolorMap`
    `private boolean` | `iShowNormals`
    `private boolean` | `isNavigationMode`
    `private Isosurface` | `isosurface`
    `private int` | `meshScale`
    `private int` | `mySlabValue`
    `protected int` | `nError`
    `private java.lang.Boolean` | `showKey`
    `private boolean` | `showNumbers`
    `protected float[]` | `vertexValues`

    - ### Fields inherited from class org.jmol.render.MeshRenderer

      `antialias, bsPolygons, bsPolygonsToExport, diameter, exportPass, forceShowTriangles, frontOnly, haveBsDisplay, imageFontScaling, isGhostPass, isShell, isTranslucent, isTranslucentInherit, latticeOffset, mesh, meshSlabValue, needTranslucent, normixes, p3Screens, pt1f, pt1i, pt2f, pt2i, pt3i, renderLow, scalePixelsPerMicron, screens, selectedPolyOnly, thePlane, transformedVectors, vertexCount, vertices, volumeRender, width`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsosurfaceRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private int` | `getDiameter()`
    `protected boolean` | `render()`
    `protected void` | `render2(boolean isExport)` Overridden in DrawRenderer and IsosurfaceRenderer
    `private void` | `renderContourLines()`
    `protected void` | `renderInfo()`
    `protected boolean` | `renderIso()`
    `private void` | `renderLonePair(boolean isRadical)`
    `private boolean` | `renderMeshSlab()`
    `private void` | `renderNormals()`
    `protected void` | `renderPoints()`
    `protected void` | `renderTriangles(boolean fill, boolean iShowTriangles, boolean isExport)`
    `private void` | `setGlobals()`

    - ### Methods inherited from class org.jmol.render.MeshRenderer

      `checkFront, drawEdge, drawTriangle, exportSurface, isPolygonDisplayable, isVisibleNormix, render2b, renderMesh2, setColix`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iHideBackground

          protected boolean iHideBackground

    - #### isBicolorMap

          protected boolean isBicolorMap

    - #### backgroundColix

          protected short backgroundColix

    - #### nError

          protected int nError

    - #### vertexValues

          protected float[] vertexValues

    - #### imesh

          protected IsosurfaceMesh imesh

    - #### isosurface

          private Isosurface isosurface

    - #### isNavigationMode

          private boolean isNavigationMode

    - #### iShowNormals

          private boolean iShowNormals

    - #### showNumbers

          private boolean showNumbers

    - #### showKey

          private java.lang.Boolean showKey

    - #### hasColorRange

          private boolean hasColorRange

    - #### meshScale

          private int meshScale

    - #### mySlabValue

          private int mySlabValue

    - #### globalSlabValue

          private int globalSlabValue

  - ### Constructor Detail

    - #### IsosurfaceRenderer

          public IsosurfaceRenderer()

  - ### Method Detail

    - #### render

          protected boolean render()

      Specified by:
        `render` in class `ShapeRenderer`

    - #### renderIso

          protected boolean renderIso()

    - #### setGlobals

          private void setGlobals()

    - #### renderInfo

          protected void renderInfo()

    - #### renderMeshSlab

          private boolean renderMeshSlab()

    - #### render2

          protected void render2(boolean isExport)

      Description copied from class: `MeshRenderer`
      Overridden in DrawRenderer and IsosurfaceRenderer
      Overrides:
        `render2` in class `MeshRenderer`

    - #### renderLonePair

          private void renderLonePair(boolean isRadical)

    - #### renderContourLines

          private void renderContourLines()

    - #### renderPoints

          protected void renderPoints()

      Overrides:
        `renderPoints` in class `MeshRenderer`

    - #### renderTriangles

          protected void renderTriangles(boolean fill,
                                         boolean iShowTriangles,
                                         boolean isExport)

      Overrides:
        `renderTriangles` in class `MeshRenderer`

    - #### getDiameter

          private int getDiameter()

    - #### renderNormals

          private void renderNormals()